image: fabianm/comp1110-2025-s1-gitlab-ci:0.8.3

stages:
  - compliance
  - build
  - test

compliance:
  tags:
    - comp1110
  stage: compliance
  script:
    - python3 /u5/checkrepofiles.py
  allow_failure: true

build:
  tags:
    - comp1110
  stage: build
  script:
    - /u5/compile.sh

  artifacts:
    paths:
      - ./out/production/comp1110-2025s1-u5/*.class
      - ./out/test/comp1110-2025s1-u5/*.class

testInterface:
  tags:
    - comp1110
  stage: test
  script:
    - /u5/testinterface.sh
  allow_failure: true


mark:
    tags:
      - comp1110
    stage: test
    script:
      - /u5/test.sh
    allow_failure: true

#testMaze:
#  tags:
#    - comp1110
#  stage: test
#  script:
#    - /u5/runstudenttests.sh MazeTests
#  allow_failure: true

#testGraphExplorer:
#  tags:
#    - comp1110
#  stage: test
#  script:
#    - /u5/runstudenttests.sh GraphExplorerTests
#  allow_failure: true

#testRotationMaze:
#  tags:
#    - comp1110
#  stage: test
#  script:
#    - /u5/runstudenttests.sh RotationMazeTests
#  allow_failure: true

#testPathTranslator:
#  tags:
#    - comp1110
#  stage: test
#  script:
#    - /u5/runstudenttests.sh PathTranslatorTests
#  allow_failure: true

#testCostMaze:
#  tags:
#    - comp1110
#  stage: test
#  script:
#    - /u5/runstudenttests.sh CostMazeTests
#  allow_failure: true

#testMinCostPath:
#  tags:
#    - comp1110
#  stage: test
#  script:
#    - /u5/runstudenttests.sh MinCostPathTests
#  allow_failure: true

